#ifndef PRIVATE_RENDERING_H
#define PRIVATE_RENDERING_H

#include "../rendering.h"
#include "../util.h"

#include <SDL2/SDL.h>

#include <stdbool.h>

struct sprite_primitive {
    t_frect rect;
    t_color color;
    double rotation;
    char *path;
    SDL_BlendMode blend_mode;
    int atlas_index;
    int layer;
    bool flip_x;
    bool flip_y;
};

struct rect_primitive {
    t_frect rect;
    t_color color;
};

struct circle_primitive {
    float radius;
    t_color color;
    t_fvec2 position;
};

#endif
